/*******************************************************************************
* File Name: Bits_16_to_23.c  
* Version 1.80
*
* Description:
*  This file contains API to enable firmware control of a Control Register.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "Bits_16_to_23.h"

/* Check for removal by optimization */
#if !defined(Bits_16_to_23_Sync_ctrl_reg__REMOVED)

    
/*******************************************************************************
* Function Name: Bits_16_to_23_Write
********************************************************************************
*
* Summary:
*  Write a byte to the Control Register.
*
* Parameters:
*  control:  The value to be assigned to the Control Register.
*
* Return:
*  None.
*
*******************************************************************************/
void Bits_16_to_23_Write(uint8 control) 
{
    Bits_16_to_23_Control = control;
}


/*******************************************************************************
* Function Name: Bits_16_to_23_Read
********************************************************************************
*
* Summary:
*  Reads the current value assigned to the Control Register.
*
* Parameters:
*  None.
*
* Return:
*  Returns the current value in the Control Register.
*
*******************************************************************************/
uint8 Bits_16_to_23_Read(void) 
{
    return Bits_16_to_23_Control;
}

#endif /* End check for removal by optimization */


/* [] END OF FILE */
