/*******************************************************************************
* File Name: Bits_16_to_23_PM.c
* Version 1.80
*
* Description:
*  This file contains the setup, control, and status commands to support 
*  the component operation in the low power mode. 
*
* Note:
*
********************************************************************************
* Copyright 2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "Bits_16_to_23.h"

/* Check for removal by optimization */
#if !defined(Bits_16_to_23_Sync_ctrl_reg__REMOVED)

static Bits_16_to_23_BACKUP_STRUCT  Bits_16_to_23_backup = {0u};

    
/*******************************************************************************
* Function Name: Bits_16_to_23_SaveConfig
********************************************************************************
*
* Summary:
*  Saves the control register value.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void Bits_16_to_23_SaveConfig(void) 
{
    Bits_16_to_23_backup.controlState = Bits_16_to_23_Control;
}


/*******************************************************************************
* Function Name: Bits_16_to_23_RestoreConfig
********************************************************************************
*
* Summary:
*  Restores the control register value.
*
* Parameters:
*  None
*
* Return:
*  None
*
*
*******************************************************************************/
void Bits_16_to_23_RestoreConfig(void) 
{
     Bits_16_to_23_Control = Bits_16_to_23_backup.controlState;
}


/*******************************************************************************
* Function Name: Bits_16_to_23_Sleep
********************************************************************************
*
* Summary:
*  Prepares the component for entering the low power mode.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void Bits_16_to_23_Sleep(void) 
{
    Bits_16_to_23_SaveConfig();
}


/*******************************************************************************
* Function Name: Bits_16_to_23_Wakeup
********************************************************************************
*
* Summary:
*  Restores the component after waking up from the low power mode.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void Bits_16_to_23_Wakeup(void)  
{
    Bits_16_to_23_RestoreConfig();
}

#endif /* End check for removal by optimization */


/* [] END OF FILE */
