/*******************************************************************************
* File Name: Bits_24_to_31_PM.c
* Version 1.80
*
* Description:
*  This file contains the setup, control, and status commands to support 
*  the component operation in the low power mode. 
*
* Note:
*
********************************************************************************
* Copyright 2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "Bits_24_to_31.h"

/* Check for removal by optimization */
#if !defined(Bits_24_to_31_Sync_ctrl_reg__REMOVED)

static Bits_24_to_31_BACKUP_STRUCT  Bits_24_to_31_backup = {0u};

    
/*******************************************************************************
* Function Name: Bits_24_to_31_SaveConfig
********************************************************************************
*
* Summary:
*  Saves the control register value.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void Bits_24_to_31_SaveConfig(void) 
{
    Bits_24_to_31_backup.controlState = Bits_24_to_31_Control;
}


/*******************************************************************************
* Function Name: Bits_24_to_31_RestoreConfig
********************************************************************************
*
* Summary:
*  Restores the control register value.
*
* Parameters:
*  None
*
* Return:
*  None
*
*
*******************************************************************************/
void Bits_24_to_31_RestoreConfig(void) 
{
     Bits_24_to_31_Control = Bits_24_to_31_backup.controlState;
}


/*******************************************************************************
* Function Name: Bits_24_to_31_Sleep
********************************************************************************
*
* Summary:
*  Prepares the component for entering the low power mode.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void Bits_24_to_31_Sleep(void) 
{
    Bits_24_to_31_SaveConfig();
}


/*******************************************************************************
* Function Name: Bits_24_to_31_Wakeup
********************************************************************************
*
* Summary:
*  Restores the component after waking up from the low power mode.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void Bits_24_to_31_Wakeup(void)  
{
    Bits_24_to_31_RestoreConfig();
}

#endif /* End check for removal by optimization */


/* [] END OF FILE */
