/*******************************************************************************
* File Name: Bits_8_to_15_PM.c
* Version 1.80
*
* Description:
*  This file contains the setup, control, and status commands to support 
*  the component operation in the low power mode. 
*
* Note:
*
********************************************************************************
* Copyright 2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "Bits_8_to_15.h"

/* Check for removal by optimization */
#if !defined(Bits_8_to_15_Sync_ctrl_reg__REMOVED)

static Bits_8_to_15_BACKUP_STRUCT  Bits_8_to_15_backup = {0u};

    
/*******************************************************************************
* Function Name: Bits_8_to_15_SaveConfig
********************************************************************************
*
* Summary:
*  Saves the control register value.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void Bits_8_to_15_SaveConfig(void) 
{
    Bits_8_to_15_backup.controlState = Bits_8_to_15_Control;
}


/*******************************************************************************
* Function Name: Bits_8_to_15_RestoreConfig
********************************************************************************
*
* Summary:
*  Restores the control register value.
*
* Parameters:
*  None
*
* Return:
*  None
*
*
*******************************************************************************/
void Bits_8_to_15_RestoreConfig(void) 
{
     Bits_8_to_15_Control = Bits_8_to_15_backup.controlState;
}


/*******************************************************************************
* Function Name: Bits_8_to_15_Sleep
********************************************************************************
*
* Summary:
*  Prepares the component for entering the low power mode.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void Bits_8_to_15_Sleep(void) 
{
    Bits_8_to_15_SaveConfig();
}


/*******************************************************************************
* Function Name: Bits_8_to_15_Wakeup
********************************************************************************
*
* Summary:
*  Restores the component after waking up from the low power mode.
*
* Parameters:
*  None
*
* Return:
*  None
*
*******************************************************************************/
void Bits_8_to_15_Wakeup(void)  
{
    Bits_8_to_15_RestoreConfig();
}

#endif /* End check for removal by optimization */


/* [] END OF FILE */
